Bug 64883 - 7.2 to 7.3 upgrade: no init found
7.2 to 7.3 upgrade: no init found
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 17:13 EDT by Need Real Name
Modified: 2008-03-06 14:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-13 17:13:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)

Description of problem:
After doing out of box upgrade, ext3 file systems, where I had used GRUB as 7.2 
boot loader, kernel hangs as init= isn't specified.

Kernel boots with following sequence:
  Creating root device
  Mounting root filesystem
  EXT3fs mounted filesystem with ordered data mode
  pivotroot: pivot_root(/sysroot,/sysroot/initrd) failed: 2

two drives are installed:  hda and hdb.
GRUB on MBR of hda.

Booting as rescue mode, I can see /hda8 contents (my root partition)as it 
should be.

Looking at grub.conf I see what I *think* is the right content.

root hd(0,0)
kernel_module ro root=/dev/hda8 hdc=ide-scsi

I've tried both leaving boot loader alone (first time) and subsequently forcing 
to grub.  (which by the way requires I remove kernel otherwise I'm not allowed 
to force a bootloader install if no kernel modules have been installed :-(  I 
should at least get asked!)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Out of box install
2.
3.
	

Actual Results:  System hangs, unable to boot via floppy or loader image.

Expected Results:  It should recognize the 7.2 stuff and work!  Near as I can 
tell, it's trying to do so as 7.2 and 7.3 grub configs are mostly identical 
(less kernel specific versions)

Additional info:

Willing to be contacted if more information needed.
Comment 1 Michael Schwendt 2002-05-14 10:07:55 EDT
> After doing out of box upgrade

> Steps to Reproduce:
> 1. Out of box install

Install or upgrade?

I assume you've done an upgrade from 7.2. By any chance, have you deleted the
empty /initrd directory on your root partition? If so, mkdir /initrd from rescue
mode and reboot.
Comment 2 Need Real Name 2002-05-14 10:45:24 EDT
Yes, I did mean upgrade ;-)

The initrd directory was missing; I didn't remove it prior to the install as I 
did a clean reboot before I began the install.  Any clue how it got deleted?

Recreated, and all's well.
Comment 3 Michael K. Johnson 2002-05-16 15:37:07 EDT
Whatever deleted this file, it wasn't the kernel.  Assigning to anaconda
as the most likely component subject...
Comment 4 Jeremy Katz 2002-05-30 17:32:21 EDT
Anything in the upgrade.log about problems with the filesystem package?
Comment 5 Michael Fulbright 2002-07-15 12:48:44 EDT
Closing due to inactivity, please reopen if you have additional information.
Comment 6 Red Hat Bugzilla 2006-02-21 13:48:53 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.